%define upstream_name    Text-CSV
%define upstream_version 2.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Manipulate comma-separated value strings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Test::Harness)
BuildRequires: perl(Test::More) >= 0.920.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Text::CSV provides facilities for the composition and decomposition of
comma-separated values using the Text::CSV_XS manpage or its pure Perl
version.

An instance of the Text::CSV class can combine fields into a CSV string and
parse a CSV string into fields.

The module accepts either strings or files as input and can utilize any
user-specified characters as delimiters, separators, and escapes so it is
perhaps better called ASV (anything separated values) rather than just CSV.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.60.0-2.mga10
+ Revision: 2242012
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 tv <tv> 2.60.0-1.mga10
+ Revision: 2159305
- update to 2.06

* Fri Jan 24 2025 tv <tv> 2.50.0-1.mga10
+ Revision: 2141378
- update to 2.05

* Tue Dec 05 2023 tv <tv> 2.40.0-1.mga10
+ Revision: 2013326
- update to 2.04

* Wed Sep 06 2023 tv <tv> 2.30.0-1.mga10
+ Revision: 1984753
- update to 2.03

* Sat Aug 13 2022 tv <tv> 2.20.0-1.mga9
+ Revision: 1877364
- update to 2.02

* Mon Mar 21 2022 umeabot <umeabot> 2.10.0-2.mga9
+ Revision: 1814629
- Mageia 9 Mass Rebuild

* Wed Jun 23 2021 tv <tv> 2.10.0-1.mga9
+ Revision: 1731833
- update to 2.01

* Sat Feb 15 2020 umeabot <umeabot> 2.0.0-2.mga8
+ Revision: 1526792
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 shlomif <shlomif> 2.0.0-1.mga8
+ Revision: 1415768
- update to 2.00

* Thu Jan 03 2019 tv <tv> 1.990.0-1.mga7
+ Revision: 1348785
- update to 1.99

* Wed Jan 02 2019 tv <tv> 1.980.0-1.mga7
+ Revision: 1348498
- update to 1.98

* Thu Sep 20 2018 umeabot <umeabot> 1.970.0-2.mga7
+ Revision: 1286964
- Mageia 7 Mass Rebuild

* Mon Aug 20 2018 tv <tv> 1.970.0-1.mga7
+ Revision: 1253169
- update to 1.97

* Tue Aug 14 2018 tv <tv> 1.960.0-1.mga7
+ Revision: 1251551
- update to 1.96

* Tue Oct 03 2017 tv <tv> 1.950.0-2.mga7
+ Revision: 1166950
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 sander85 <sander85> 1.950.0-1.mga7
+ Revision: 1155555
- update to 1.95
- update to 1.95

* Sun Jun 19 2016 pterjan <pterjan> 1.330.0-3.mga6
+ Revision: 1034906
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.330.0-2.mga6
+ Revision: 967320
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 1.330.0-1.mga6
+ Revision: 848663
- update to 1.33

* Wed Oct 15 2014 umeabot <umeabot> 1.320.0-5.mga5
+ Revision: 739078
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.320.0-4.mga5
+ Revision: 736070
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.320.0-3.mga5
+ Revision: 686601
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.320.0-2.mga4
+ Revision: 528765
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 1.320.0-1.mga4
+ Revision: 447143
- update to 1.32

* Sun Jan 13 2013 umeabot <umeabot> 1.210.0-2.mga3
+ Revision: 373999
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.210.0-1.mga1
+ Revision: 22924
- cleaning spec file
- imported package perl-Text-CSV

